/*
 Theme Name:   Blue Meadow Bricks Child Theme
 Theme URI:    https://devedge-internet-marketing.com/
 Description:  Use this child theme to extend Bricks for Blue Meadow Landscaping Ltd.
 Author:       devEdge
 Author URI:   https://devedge-internet-marketing.com/
 Template:     bricks
 Version:      1.0
 Text Domain:  bricks
*/

/* Table of Contents
	- Footer
	- Gravity Forms Customizations
	- Utility
*/

/* Footer
--------------------------------------------- */
body footer#brx-footer a {
  text-decoration: none;
}
body footer#brx-footer a:hover {
  text-decoration: none;
}


/* Gravity Forms Customizations, Uses BRICKS variable classes.
--------------------------------------------- */
/* Adjust the vertical distance between fields. */
body .gform_wrapper form .gform_fields {
	grid-row-gap: var(--space-m);
	row-gap: var(--space-m);
}

/* Override label formatting. Major labels: */
body .gform_wrapper form .gform_fields .gfield_label.gform-field-label {
	font-size: var(--text-s);
	color: var(--color-7);
}

/* Makes the under input field description size and color consistent. */
body .gform_wrapper form .gfield_description {
	font-size: var(--gf-ctrl-desc-font-size);
	color: var(--gf-ctrl-label-color-tertiary);
}

/* Override form field appearance - general, no specific field type targeted but purposefully skipping buttons. */
body .gform_wrapper form .gfield input:not([type="button"],[type="image"],[type="submit"],[type="reset"],[type="hidden"]),
body .gform_wrapper form .gfield select, body .gform_wrapper form .gfield textarea {
	font-size: var(--text-s);
	line-height: 1.2em;
	padding: 16px 18px;
	height: auto;
	border-radius: 6px;
	border: 1px solid oklch(from var(--color-3) calc(l - 0.1) calc(c - 0.1) h);
	box-shadow: 0 2px 8px 0 hsla(0, 0%, 0%, 0.2);
	outline: none;
	transition: border-color 0.2s ease-in-out, box-shadow 0.2s ease-in-out;
}
/* Active state field. */
body .gform_wrapper form .gfield input:not([type="button"],[type="image"],[type="submit"],[type="reset"],[type="hidden"]):focus,
body .gform_wrapper form .gfield select:focus, body .gform_wrapper form .gfield textarea:focus {
	border: 1px solid var(--color-3);
	box-shadow: 0 2px 8px 0 oklch(from var(--color-3) l c h / 0.2);
}

/* DEFAULT: This forces the form button styling to the DEFAULT BRICKS BUTTON style. (Find .bricks-button in Bricks CSS and copy) */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button {
	color: var(--color-w);
    font-size: var(--text-ms);
    font-family: "Montserrat";
    line-height: 1.1em;
    text-decoration: none;
    font-style: normal;
    font-weight: 600;
    border: 0;
    border-style: none;
    border-radius: 6px;
    transition: var(--default-transition);
    padding-top: var(--space-2xs, 14px);
    padding-right: var(--space-s, 27px);
    padding-bottom: var(--space-2xs, 14px);
    padding-left: var(--space-s, 27px);
	
	margin: 0;
	cursor: pointer;
	width: auto;
	text-align: center;
	outline: none;
}

/* DEFAULT: Primary form button, default state */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit] {
	background-color: var(--color-3);
	color: var(--color-w);
}
/* DEFAULT: Primary form button, HOVER state */
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit]:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit]:hover {
	background-color: var(--color-4);
	color: var(--color-w);
}

/* DEFAULT: Secondary button, default state */
/*body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button {
	background-color: #333333;
}*/
/* DEFAULT: Secondary button, HOVER state */
/*body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary:hover,
body .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button:hover {
	background-color: #140001;
}*/

/* Helps users identify readonly fields by greying out the input background. */
body .gform_wrapper form .gf_readonly input,
body .gform_wrapper form .gf_readonly select,
body .gform_wrapper form .gf_readonly textarea {
	background-color: #EFEFEF !important;
}

/* Forces footer to 100% width, allowing the form button to be center or right aligned. */
body .gform_wrapper form .gform_footer {
	width: 100%;
}

/* --- INQUIRY FORM CALL TO ACTION SECTION --- */
/* Adjust the vertical distance between fields. */
body .inquiry-form-cta .gform_wrapper form .gform_fields {
	grid-row-gap: 8px;
	row-gap: 8px;
}

/* Hide all labels on this form. */
body .inquiry-form-cta .gform_wrapper form .gform_fields .gfield_label.gform-field-label,
body .inquiry-form-cta .gform_wrapper form .gform_fields .gform-field-label.gform-field-label--type-sub  {
	display: none;
}

/* OVERRIDE: This forms submit button styling on the forms - OVERRIDES ABOVE DEFAULT VALUES. */
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button,
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit],
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button,
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit],
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button.gform-theme-button--secondary,
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_previous_button.button {
	background-color: var(--color-3);
	border: 1px solid var(--color-6);
	color: var(--color-6);
}
/* OVERRIDE: Primary form button, HOVER default */
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input.button:hover,
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_footer input[type=submit]:hover,
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input.gform_next_button.button:hover,
body .inquiry-form-cta .gform_wrapper.gform-theme.gform-theme--foundation.gform-theme--framework.gform-theme--orbital form .gform_page_footer input[type=submit]:hover {
	background-color: var(--color-4);
	border: 1px solid var(--color-w);
	color: var(--color-w);
}


/* Utility
--------------------------------------------- */
li:has(.show-item-mobile-ls),
li:has(.show-item-tablet),
li:has(.show-item-mobile) {
    display: none;
}

@media (max-width: 991px) {
    li:has(.show-item-tablet)  {
        display: flex;
    }
}
@media (max-width: 767px) {
    li:has(.show-item-mobile-ls)  {
        display: flex;
    }
}
@media (max-width: 478px) {
    li:has(.show-item-mobile)  {
        display: flex;
    }
}